Sign inGet started

List contacts in a list

GET
/workspaces/{workspaceId}/lists/{listId}/contacts
This endpoint will return a list of contacts in the specified list.
Paramètres de chemin
workspaceId
string
The unique identifier of the workspace.
listId
string
The ID of a list.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.accountIds
array of string
The list of account ids for the contact.
results.attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or a non-empty array of those, or null
results.companyRefs
array of string
The list of company references for the contact.
results.computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available, from the displayName attribute, the firstName attribute, the emailaddress identifier, or the phonenumber identifier.
results.createdAt
string
obligatoire
results.featuredIdentifiers
array of object
The list of identifiers for the contact.
Afficher les attributs enfants
results.featuredIdentifiers.key
string
obligatoire
The identifier key. This can be from your custom identifier key or one of the built-in keys.
results.featuredIdentifiers.value
string
obligatoire
The identifier value. This represents the actual value for the identifier.
results.id
string
obligatoire
The unique identifier for the contact.
results.identifierCount
integer
The number of identifiers for the contact.
results.isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers, or only has visitorid identifiers.
results.listIds
array of string
The list of list ids for the contact.
results.updatedAt
string
obligatoire
results.workspaceId
string
Your workspace identifier.
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/lists/{listId}/contacts' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd
  • List ID: 123e4567-e89b-12d3-a456-426614174000

List contacts from a list

In this example, we are listing all the contacts from a list given given the list ID.
Exemple de code
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists/123e4567-e89b-12d3-a456-426614174000/contacts" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"